/* io.h
 *
 * Some helper functions for writing the output */

/* Copyright (C) 2006 Niels Mller
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef NXT_IO_H
#define NXT_IO_H

#include <stdio.h>

#define WRITE(f, data, size) \
  (fwrite ((data), 1, (size), (f)) == size)

int
write_uint8 (FILE *f, unsigned x);

int
write_uint16 (FILE *f, unsigned x);

int
write_uint32 (FILE *f, unsigned x);

#endif /* NXT_IO_H */
